Bug 1879122 - Default 503 error page not conforming to RFCs 2616 and 7230 - CRLF
Summary: Default 503 error page not conforming to RFCs 2616 and 7230 - CRLF
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 3.11.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: 4.4.z
Assignee: Stephen Greene
QA Contact: Arvind iyengar
URL:
Whiteboard:
Depends On: 1879120
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-15 13:36 UTC by OpenShift BugZilla Robot
Modified: 2020-10-13 08:18 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: HAProxy router 503 page contained LF line endings instead of CRLF endings. Consequence: Some Web Application Firewalls, etc. are unable to consume the 503 page from the router since it technically is not spec compliant. Fix: Change the line endings of the HAProxy router 503 page (whitespace only change) Result: HAProxy 503 page is now spec compliant.
Clone Of:
Environment:
Last Closed: 2020-10-13 08:17:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift router pull 185 0 None closed [release-4.4] Bug 1879122: Backport haproxy 503 error page: replace all LF by CRLF to be fully RFC compliant 2020-09-27 01:25:46 UTC
Red Hat Product Errata RHBA-2020:4063 0 None None None 2020-10-13 08:18:17 UTC

Comment 3 Arvind iyengar 2020-09-29 04:31:38 UTC
Verfied in "4.4.0-0.nightly-2020-09-28-175226" release version. With this payload it is noted that "error-page-503.http" page is now CR-LF compliant:
----
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-09-28-175226   True        False         17m     Cluster version is 4.4.0-0.nightly-2020-09-28-1752

$ oc -n openshift-ingress exec router-default-6687fd865f-599v8 --  hexdump -C /var/lib/haproxy/conf/error-page-503.http  | head -n3
00000000  48 54 54 50 2f 31 2e 30  20 35 30 33 20 53 65 72  |HTTP/1.0 503 Ser|
00000010  76 69 63 65 20 55 6e 61  76 61 69 6c 61 62 6c 65  |vice Unavailable|
00000020  0d 0a 50 72 61 67 6d 61  3a 20 6e 6f 2d 63 61 63  |..Pragma: no-cac|
----

Comment 5 errata-xmlrpc 2020-10-13 08:17:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.27 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4063


Note You need to log in before you can comment on or make changes to this bug.